for zipfile in *.ss3
do
  unzip -o "$zipfile"
  for xmlfile in *.xml
  do
    # remove all lines bewteen <ANNOTATORS> and </ANNOTATORS>
    sed -i '' '/^<ANNOTATORS>/,/^<\/ANNOTATORS>/{/^<ANNOTATORS>/!{/^<\/ANNOTATORS>/!d;};}' "$xmlfile"

    # insert a line between those lines for the default annotator ASLLRP_BU
    linenum=$(cat $xmlfile | grep -n "<ANNOTATORS>" | grep -o '^[0-9]*')
    insert=$(($linenum + 1))
    sed -i '' ${insert}'i\
<REF ID="10" LABEL="ASLLRP_BU"/>\
' "$xmlfile"

    # rezip the package
    zip -r "$zipfile" "$xmlfile"
    rm "$xmlfile"
  done
done
