package edu.bu.signstream.common.util.vo;

import java.util.*;

public class Track {
	private String fieldId, name, label, color;
	
	private CodingSchemaFieldType fieldType; 
	
	private ArrayList trackValues = new ArrayList();

	public void setFieldType(CodingSchemaFieldType fieldType) {
		this.fieldType = fieldType;
	}
	
	public CodingSchemaFieldType getFieldType() {
		return fieldType;
	}
	
	public void addTrackValues(ArrayList newValues) {
		for (int i = 0; i < newValues.size(); i++) {
			trackValues.add(newValues.get(i));
		}
	}

	public void addTrackValue(TrackValue value) {
		trackValues.add(value);
	}

	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public String getFieldId() {
		return fieldId;
	}

	public void setFieldId(String fieldId) {
		this.fieldId = fieldId;
	}

	public ArrayList getTrackValues() {
		return trackValues;
	}

	public void setTrackValues(ArrayList fields) {
		this.trackValues = fields;
	}

	//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
	//public ArrayList getPreparedTrackValues() {
	//ArrayList list = new ArrayList();
	//for(int i = 0; i < trackValues.size(); i ++) {
	//	TrackValue value = (TrackValue) 
	//}
	//return list;	
	//}
	//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Track:");
		sb.append("\n fieldId = ");
		sb.append(fieldId);
		sb.append("\n name = ");
		sb.append(name);
		sb.append("\n label = ");
		sb.append(label);
		sb.append("\n color = ");
		sb.append(color);
		sb.append("\n number of fields = ");
		sb.append(trackValues.size());
		sb.append("\n fields = ");
		/*   
			  for(int i = 0; i < trackValues.size(); i ++) {
				TrackValue trackValue = (TrackValue) trackValues.get(i);
				sb.append(trackValue.toString());
			  }    
		*/
		return sb.toString();
	}
}
