package edu.bu.signstream.common.util.vo.ss3.codingScheme;

import java.util.*;

public class ValueCollection {
	private HashMap values = new HashMap();
	private String id;
	
	public ValueCollection(String id) {
		this.id = id;
	}

	public String getID() {
		return id;
	}

	public void addValue(SS3FieldValue value) {
		values.put(value.getId(), value);
	}
	
	public SS3FieldValue getValue(String id) {
		return (SS3FieldValue) values.get(id);  
	}
	
	public ArrayList getFieldValues() {
		ArrayList list = new ArrayList();
		
		Set keySet = values.keySet();
		Iterator it = keySet.iterator();
		while(it.hasNext()) {
			String key = (String)it.next();
			list.add(getValue(key));
		}
		
		return list;
	}
}
