package edu.bu.signstream.grepresentation.fields.gestureField.signTypeField;

import java.util.ArrayList;
import java.util.HashMap;

public class GestureCategory {

	private String id;
	private String name;
	private String parentCategoryId;
	private String domFieldID;
	private String ndomFieldID;
	
	private HashMap<String, GestureType> gestureTypes = new HashMap<String, GestureType>();
	
	public String getParentCategoryId() {
		return parentCategoryId;
	}
	
	public void setParentCategoryId(String parentCategoryId) {
		this.parentCategoryId = parentCategoryId;
	}
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void addGestureType(GestureType type) {
		gestureTypes.put(type.getId(), type);
	}
	
	public HashMap<String, GestureType> getGestureTypes(){
		return gestureTypes;
	}
	
	public String getDomFieldID() {
		return this.domFieldID;
	}
	
	public void setDomFieldID(String domFieldID) {
		this.domFieldID = domFieldID;
	}
	
	public String getNdomFieldID() {
		return this.ndomFieldID;
	}
	
	public void setNDomFieldID(String ndomFieldID) {
		this.ndomFieldID = ndomFieldID;
	}
	
	@Override
	public String toString() {
		return name;
		//int numChildren = this.children == null ? 0 : this.children.size();
		//return "ID: " + this.id + " NAME: " + this.name + " NUM CHILDREN: " + numChildren;
	}
}
