package edu.bu.signstream.grepresentation.fields.gestureField.signTypeField;

import java.util.ArrayList;

public class GestureType {

	private String id;
	private String name;
	private String abbr;
	private GestureCategory parentCategory;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getAbbr() {
		return abbr;
	}
	public void setAbbr(String abbr) {
		this.abbr = abbr;
	}
	public GestureCategory getParentCategory() {
		return parentCategory;
	}
	public void setParentCategory(GestureCategory parentCategory) {
		this.parentCategory = parentCategory;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((abbr == null) ? 0 : abbr.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((parentCategory == null) ? 0 : parentCategory.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (!(obj instanceof GestureType)) {
			return false;
		}
		GestureType other = (GestureType) obj;
		if (abbr == null) {
			if (other.abbr != null) {
				return false;
			}
		} else if (!abbr.equals(other.abbr)) {
			return false;
		}
		if (id == null) {
			if (other.id != null) {
				return false;
			}
		} else if (!id.equals(other.id)) {
			return false;
		}
		if (name == null) {
			if (other.name != null) {
				return false;
			}
		} else if (!name.equals(other.name)) {
			return false;
		}
		if (parentCategory == null) {
			if (other.parentCategory != null) {
				return false;
			}
		} else if (!parentCategory.equals(other.parentCategory)) {
			return false;
		}
		return true;
	}
	@Override
	public String toString() {
		return name;
		//return "ID: " + this.id + " NAME: " + this.name + " ABBR: " + this.abbr;
	}
	
}
