package edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields;

import java.awt.Color;
import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3FieldValue;

public class FieldValueWrapper extends SS3FieldValue {

	private static final long serialVersionUID = 1L;

	private SS3FieldValue value = null;
	private boolean isExpended = false;
	private boolean isFolder = false;
	private Color backgroundColor = null;

	public FieldValueWrapper(SS3FieldValue value, boolean isExpended,
			boolean isFolder) {
		this.value = value;
		this.isExpended = isExpended;
		this.isFolder = isFolder;
	}

	public void setBackgroundColor(Color backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	public Color getBackground() {
		return backgroundColor;
	}

	public void setExpended(boolean isExpended) {
		this.isExpended = isExpended;
	}

	public boolean isExpended() {
		return isExpended;
	}

	public boolean isFolder() {
		return isFolder;
	}

	public SS3FieldValue getSS3FieldValue() {
		return value;
	}
}