package edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields;

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JTextField;

import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;

public class IPAKeyboard extends JFrame {
	
	private IPAKeyboardPanel panel;
	
	static String[] SYMBOLS;
	static String[] DIACRITICS;

	public IPAKeyboard() {
		super.setTitle("IPA Keyboard");
		//super(SS3Singleton.getSignStreamApplication(), "IPA Keyboard", false);
		super.setLocationRelativeTo(SS3Singleton.getSignStreamApplication());
		super.setFocusable(false);
		super.setFocusableWindowState(false);
		
		panel = new IPAKeyboardPanel();

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(150, 150));
		contentPane.add(panel, BorderLayout.CENTER);
		
		pack();
	}
	
	public static void setSymbols(String[] symbols) {
		SYMBOLS = symbols;
	}
	
	public static void setDiacritics(String[] dias) {
		DIACRITICS = dias;
	}
	
	public IPAKeyboardPanel getPanel() {
		return panel;
	}
	
	public void open() {
		setVisible(true);
	}
	
	public void close() {
		setVisible(false);
	}
}
