package edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields.handshapeTypes;

public enum DomNdomHandshapesType {
    SAME("Same Handshapes Dom & Ndom"),
    ALTERNATING("Alt Same Handshapes Dom & Ndom"),
    DIFFERENT("Diff't Handshapes Dom & Ndom");

    String val;
    DomNdomHandshapesType(String val) {
        this.val = val;
    }

    public String shortName() {
    	// If val is "Same Handshapes Dom & Ndom", return "SAME"
        // If val is "Alt Same Handshapes Dom & Ndom", return "ALTERNATING"
        // If val is "Diff't Handshapes Dom & Ndom", return "DIFFERENT"

        if (this.val.equals("Same Handshapes Dom & Ndom")) {
        	return "SAME";
        } else if (this.val.equals("Alt Same Handshapes Dom & Ndom")) {
        	return "ALTERNATING";
        } else if (this.val.equals("Diff't Handshapes Dom & Ndom")) {
        	return "DIFFERENT";
        } else {
        	return null;
        }
    }

    @Override
    public String toString() {
        return val;
    }
}
