package edu.bu.signstream.grepresentation.fields.presentation;

import java.util.ArrayList;

public class Presentation {
	private DisplayTimePeriod displayTimePeriod = new DisplayTimePeriod();
	private ArrayList<TemporalPartition> temporalPartitions = new ArrayList<TemporalPartition>();
	
	public DisplayTimePeriod getDisplayTimePeriod() {
		return displayTimePeriod;
	}
	
	public void setDisplayTimePeriod(DisplayTimePeriod displayTimePeriod) {
		this.displayTimePeriod = displayTimePeriod;
	}
	
	public ArrayList<TemporalPartition> getTemporalPartitions() {
		return temporalPartitions;
	}
	
	public void setTemporalPartitions(
			ArrayList<TemporalPartition> temporalPartitions) {
		this.temporalPartitions = temporalPartitions;
	}	
}

class DisplayTimePeriod {	
	int startTime = -1;
	int endTime = -1;
	
	public DisplayTimePeriod() {
	}

	public int getStartTime() {
		return startTime;
	}

	public void setStartTime(int startTime) {
		this.startTime = startTime;
	}

	public int getEndTime() {
		return endTime;
	}

	public void setEndTime(int endTime) {
		this.endTime = endTime;
	}	
}
