package edu.bu.signstream.grepresentation.reguestsHandler;

public class ApplicationStateController {
	
	private boolean wasLoadedCollectionUpdated = false; 
	
	public boolean isLoadedCollectionUpdated() {
		return wasLoadedCollectionUpdated;
	}

    public void setLoadedCollectionUpdated(boolean wasLoadedCollectionUpdated) {
        this.wasLoadedCollectionUpdated = wasLoadedCollectionUpdated;

        var sp = SS3Singleton.getSignStreamApplication().getSignStreamSegmentPanel();
        sp.updateLoadedDatabase();
        
        if (sp.isUtteranceLoaded())
            sp.getUtteranceView().updateUtteranceIndex();		// this is also called in a few other places where updateLoadedDatabase is not necessary (too much lag time)
    }
}
