package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;

import edu.bu.signstream.grepresentation.fields.EventsEntity;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;
import edu.bu.signstream.ui.video.VideoControlPanel;

public class PlaySelectedEntityListener extends BaseListener implements ActionListener {

	public PlaySelectedEntityListener(MediaToolBar bar) { super(bar); }

	@Override
	public void actionPerformed(ActionEvent e) {
	    var entity = bar.selectedEntity();

        player.pause();
        if (entity.interval().empty()) {
            player.seek(entity.getStartTimeInfo());
        } else {
            player.seek(entity.interval());
            player.play();
        }
    }
}
