package edu.bu.signstream.grepresentation.view.signbank;

import javax.swing.tree.DefaultMutableTreeNode;

public class SignBankResultNode extends DefaultMutableTreeNode {

	private static final long serialVersionUID = 1L;
	
	public SignBankResultNode(SignBankOccurrence occurrence) {
		this.setUserObject(occurrence);
	}
	
	@Override
	public String toString() {		
		SignBankOccurrence signBankOccurrence = (SignBankOccurrence) getUserObject();
		SignBankVariant parentVariant = signBankOccurrence.getParentVariant();
		String parentVariantLabel = parentVariant.getVariantLabel();
		
		return parentVariantLabel;
	}

}
