package edu.bu.signstream.common.tree;

import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreeNode;

class NodeWrapper<N extends Node> {
    final N node;

    NodeWrapper(N node) {
        this.node = node;
    }

    public static <N extends Node> N node(TreeNode node) {
        return ((NodeWrapper<N>)(((DefaultMutableTreeNode)node).getUserObject())).node;
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof NodeWrapper && node.equals(((NodeWrapper)obj).node);
    }

    @Override
    public String toString() {
        return node.toString();
    }
}
