package edu.bu.signstream.common.util.vo;

public class MediaFile {
  private String id, legacyPath, path, volumeName, homeDir;
	
  public MediaFile(String id, String legacyPath, String path, String homeDir) {
	setId(id);
	//setLegacyPath(legacyPath);
	this.homeDir = homeDir;
	this.legacyPath = legacyPath;
	this.path = path;
	
	//
//	  String[] result = path.split(":");
//	  
//	  for(int i = 0; i < result.length; i++) {
//		  String s = result[i];
//		  System.out.println("0" + i + " " + s);
//	  }
//	  
//      System.out.println("1 " + path);
//      System.out.println("2 " + homeDir);
//      System.out.println("3 " + File.separator);
      //System.out.println("4 " + result[result.length-1]);           
      //String fullPath = file.getParent() + File.pathSeparator + result[result.length-1]; 

      //System.out.println(fullPath);
	//
  }
  
  public MediaFile() {}
	
  @Override
public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append("MediaFile:");
    sb.append("\n id = ");
    sb.append(id);
    sb.append("\n legacyPath = ");
    sb.append(legacyPath);   
    sb.append("\n path = ");
    sb.append(getPath());
    sb.append("\n volumeName = ");
    sb.append(volumeName);
    
    return sb.toString();
  }
  
  public String getId() {
	return id;
  }
	
  public void setId(String id) {
	this.id = id;
  }
	
  public String getLegacyPath() {
	return legacyPath;
  }
	
  public void setLegacyPath(String legacyPath) {
	this.legacyPath = legacyPath;
	
	if(legacyPath != null && legacyPath.length() > 0) {        
      StringBuffer pathBuffer = new StringBuffer(legacyPath);
      int firstDelimiter = legacyPath.indexOf(':');
      int lastDelimiter = legacyPath.lastIndexOf(':');
      volumeName = pathBuffer.substring(0, firstDelimiter);
      String fileName = pathBuffer.substring(lastDelimiter + 1);
        
      if (!(lastDelimiter == firstDelimiter)) {
	    int delim = firstDelimiter;
	    while (true) {
	      delim = legacyPath.indexOf(':', delim + 1);
          if (delim == -1)
            break;
          pathBuffer.setCharAt(delim, '/');
	    }
	    path = pathBuffer.substring(firstDelimiter + 1); //, lastDelimiter);
      }
	}  	
  }
	
  public String getPath() {
	if(path != null)
  	  return homeDir + "/" + path;
	return legacyPath;
  }
	  
  public String getVolumeName() {
    return volumeName;
  }
}
