package edu.bu.signstream.common.util.vo.ss3.codingScheme;

/**
  *   
    <IMG ID="HSH_001" PATH1="big-1.jpg" PATH2="1.jpg">
       <SELECTED_FIINGERS ID="1">
       <BASE_JOINTS ID="1">
         <SPREAD ID="1"/>
       </BASE_JOINTS>
       <NONBASE_JOINTS ID="1"/>
       </SELECTED_FIINGERS>
      <NONSELECTED_FINGERS ID="1"/>
      <THUMB_CONTACT ID="1"/>
    </IMG>
  * */


public class SS3FieldTypeImg {
   private String id;
   private String valueID;
   private String path1;
   private String path2;
   private String label;

   private String selectedFingersID = "1";
   private String baseJointsID = "1";
   private String spreadID = "1";
   private String nonBaseJointsID = "1";
   private String nonSelectedFingersID = "1";
   private String thumbContactID = "1";

   public SS3FieldTypeImg() {}

   public SS3FieldTypeImg(String id, String path1, String path2) {
      this.id = id;
      this.path1 = path1;
      this.path2 = path2;
   }

   public SS3FieldTypeImg(
      String id,
      String path1,
      String path2,
      String selectedFingersID,
      String baseJointsID,
      String spreadID,
      String nonBaseJointsID,
      String nonSelectedFingersID) {
         
      this.id = id;
      this.path1 = path1;
      this.path2 = path2;
      this.selectedFingersID = selectedFingersID;
      this.baseJointsID = baseJointsID;
      this.spreadID = spreadID;
      this.nonBaseJointsID = nonBaseJointsID;
      this.nonSelectedFingersID = nonSelectedFingersID;
   }

   public void setValueID(String valueID) {
      this.valueID = valueID;
   }

   public String getValueID() {
      return valueID;
   }

   public String getId() {
      return id;
   }

   public String getPath1() {
      return path1;
   }

   public String getPath2() {
      return path2;
   }

   public void setId(String string) {
      id = string;
   }

   public void setPath1(String path1) {
      this.path1 = path1;
   }

   public void setPath2(String path2) {
      this.path2 = path2;
   }
   
   public String getLabel() {
	return label;
   }
   
   public void setLabel(String label) {
   	this.label = label;
   }

   public String getBaseJointsID() {
      return baseJointsID;
   }


   public String getNonBaseJointsID() {
      return nonBaseJointsID;
   }

   public String getNonSelectedFingersID() {
      return nonSelectedFingersID;
   }

   public String getSelectedFingersID() {
      return selectedFingersID;
   }

   public String getSpreadID() {
      return spreadID;
   }

   public void setBaseJointsID(String string) {
      baseJointsID = string;
   }

   public void setNonBaseJointsID(String string) {
      nonBaseJointsID = string;
   }

   public void setNonSelectedFingersID(String string) {
      nonSelectedFingersID = string;
   }

   public void setSelectedFingersID(String string) {
      selectedFingersID = string;
   }

   public void setSpreadID(String string) {
      spreadID = string;
   }

   public String getThumbContactID() {
      return thumbContactID;
   }

   public void setThumbContactID(String string) {
      thumbContactID = string;
   }

}
