package edu.bu.signstream.common.util.vo.ss3.dictionary;

import java.util.*;

public class SS3Dictionary {
	private HashMap dictionary = new HashMap(); 

	public void addWord(SS3Word word) {
		dictionary.put(word.getLiteralTranslation(), word);
	}
	
	public SS3Word getWord(String literalTranslation) {
		return (SS3Word)dictionary.get(literalTranslation);	
	}
	
	public ArrayList getLiteralTranslationsList() {
		ArrayList list = new ArrayList();
		Set set = dictionary.keySet();
		
		Iterator it = set.iterator();
		while(it.hasNext()) {
			String str = (String)it.next();
			list.add(str);
		}
		return list;
	}
}
