package edu.bu.signstream.excel;

import java.io.File;
import java.io.FileFilter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.logging.Level;
import java.util.zip.ZipInputStream;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.UIManager;
import javax.swing.filechooser.FileView;

import edu.bu.signstream.common.files.FilesLocation;
import edu.bu.signstream.common.util.ImageMaker;
import edu.bu.signstream.common.util.Sorter;
import edu.bu.signstream.common.util.Util;
import edu.bu.signstream.common.util.vo.ss3.db.SS3Entity;
import edu.bu.signstream.common.util.vo.ss3.db.SS3Item;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.ui.SS3SignStreamApplication;

public class ExcelMain {
	public static void main(String args[]) {
		try {
			ExcelMain main = new ExcelMain();
			main.excell();
		} catch (Exception ex) {
			ex.printStackTrace();
			SS3SignStreamApplication.logger.log(Level.SEVERE, "Exception", ex);
		}
	}

	public void excell() {
		File file = openZipDatabase();
		File unzippedFiles = unzipDirectory(file);
		//parseFile(unzippedFiles, file.getName());
	}

//	public SS3Database parseFile(File sFile, String xslFileName) {
//		String path = null;
//		String scPath = null;
//		String dv = System.getProperty("file.separator", "/");
//		path = "newXMLfiles" + dv;
//		scPath = path + "defCodingScheme.xml";
//
//		SS3Parser parser = new SS3Parser();
//		SS3CodingScheme defaultCodingScheme = parser
//				.parseSS3CodingScheme(scPath);
//
//		SS3CodingSchemeCollection csCollection = SS3Singleton
//				.getSS3CodingSchemeCollection();
//		csCollection.loadDefaultCodingScheme(defaultCodingScheme);
//
//		try {
//			WritableWorkbook workbook = Workbook.createWorkbook(new File(
//					xslFileName + ".xls"));
//
//			WritableSheet sheet = workbook
//					.createSheet("Glosses and related", 0);
//			WritableSheet glsOnlySheet = workbook
//					.createSheet("Glosses Only", 1);
//
//			sheet.setColumnView(0, 30);
//			sheet.setColumnView(1, 10);
//			sheet.setColumnView(2, 100);
//			sheet.setColumnView(3, 10);
//			sheet.setColumnView(4, 10);
//			sheet.setColumnView(5, 10);
//			sheet.setColumnView(6, 10);
//			sheet.setColumnView(7, 10);
//			sheet.setColumnView(8, 10);
//
//			WritableFont arial10ptBold = new WritableFont(WritableFont.ARIAL,
//					10, WritableFont.BOLD);
//			WritableCellFormat arial10BoldFormat = new WritableCellFormat(
//					arial10ptBold);
//
//			Label hLabel0 = new Label(0, 0, "Filename", arial10BoldFormat);
//			Label hLabel1 = new Label(1, 0, "Utterance", arial10BoldFormat);
//			Label hLabel2 = new Label(2, 0, "Sentence Gloss1",
//					arial10BoldFormat);
//			Label hLabel3 = new Label(3, 0, "Sentence Gloss2",
//					arial10BoldFormat);
//			Label hLabel4 = new Label(4, 0, "Neg?", arial10BoldFormat);
//			Label hLabel5 = new Label(5, 0, "If/When?", arial10BoldFormat);
//			Label hLabel6 = new Label(6, 0, "Yes/No?", arial10BoldFormat);
//			Label hLabel7 = new Label(7, 0, "Wh- question", arial10BoldFormat);
//			Label hLabel8 = new Label(8, 0, "Topic Focus", arial10BoldFormat);
//
//			sheet.addCell(hLabel0);
//			sheet.addCell(hLabel1);
//			sheet.addCell(hLabel2);
//			sheet.addCell(hLabel3);
//			sheet.addCell(hLabel4);
//			sheet.addCell(hLabel5);
//			sheet.addCell(hLabel6);
//			sheet.addCell(hLabel7);
//			sheet.addCell(hLabel8);
//			
//			glsOnlySheet.setColumnView(0, 10);
//			glsOnlySheet.setColumnView(1, 100);
//			
//			Label glshLabel1 = new Label(0, 0, "Utterance", arial10BoldFormat);
//			Label glshLabel2 = new Label(1, 0, "Gloss", arial10BoldFormat);
//			
//			glsOnlySheet.addCell(glshLabel1);
//			glsOnlySheet.addCell(glshLabel2);
//
//			File[] files = sFile.listFiles();
//			File file = files[0];
//			if (file.isFile()) {
//				SS3ZipFilesParser xmlParser = new SS3ZipFilesParser();
//				SS3Database db = xmlParser.parseSS3Database(file.getPath());
//
//				ArrayList<SS3TemporalPartition> temporalPartitions = db
//						.getSS3GlossWindow().getTemporalPartitions();
//				SS3TemporalPartition tp = temporalPartitions.get(0);
//
//				ArrayList<SS3GlossWindowSegment> segments = tp
//						.getTemporalPartitionsSegments();
//				SS3GlossWindowSegment segment = segments.get(0);
//				ArrayList<SS3GlossWindowItem> items = segment
//						.getSS3GlossWindowItems();
//
//				int glsOnlyCounter = 1;
//
//				for (int i = 0; i < items.size(); i++) {
//					SS3GlossWindowItem item = items.get(i);
//					String label = item.getLabel();
//
//					Label label0 = new Label(0, i + 1, xslFileName);
//					sheet.addCell(label0);
//					Label label1 = new Label(1, i + 1, label);
//					sheet.addCell(label1);
//
//					ArrayList<SS3StatementField> fields = item
//							.getStatementFields();
//					
//					Label fldLabel4 = null;
//					Label fldLabel5 = null;
//					Label fldLabel6 = null;
//					Label fldLabel7 = null;
//					Label fldLabel8 = null;
//					
//					for (SS3StatementField field : fields) {
//						String id = field.getId();
//
//						ArrayList<String> entityIds = field.getEntityIDs();
//
//						int idInt = Integer.parseInt(id);
//						String isAvailable = "1";
//						if (entityIds.isEmpty()) {
//							isAvailable = "0";
//						}
//
//						Label fldLabel = null;
//
//						if (idInt == 16) {
//							fldLabel4 = new Label(4, i + 1, isAvailable);
//						} else if (idInt == 17) {
//							fldLabel7 = new Label(7, i + 1, isAvailable);
//						} else if (idInt == 18) {
//							fldLabel6 = new Label(6, i + 1, isAvailable);
//						} else if (idInt == 20) {
//							fldLabel8 = new Label(8, i + 1, isAvailable);
//						} else if (idInt == 21) {
//							fldLabel5 = new Label(5, i + 1, isAvailable);
//						} else if (idInt == 10000) {
//							SS3Track track = db.getTrack("" + idInt);
//
//							ArrayList<SS3Entity> entities = new ArrayList<SS3Entity>();
//
//							for (String entityId : entityIds) {
//								SS3Entity ent = track.getSS3Entity(entityId);
//								entities.add(ent);
//							}
//
//							ArrayList<String> glosses = getSentenceGloss(entities);
//
//							String sentenceGloss = glosses.get(0);
//							fldLabel = new Label(2, i + 1, sentenceGloss);
//
//							for (int ii = 1; ii < glosses.size(); ii++) {
//								Label glsLabel = new Label(0, glsOnlyCounter,
//										label);
//								glsOnlySheet.addCell(glsLabel);
//								Label glsLabel1 = new Label(1, glsOnlyCounter,
//										glosses.get(ii));
//								glsOnlySheet.addCell(glsLabel1);
//								glsOnlyCounter++;
//							}
//
//						} else if (idInt == 10002) {
//							SS3Track track = db.getTrack("" + idInt);
//
//							ArrayList<SS3Entity> entities = new ArrayList<SS3Entity>();
//							for (String entityId : entityIds) {
//								SS3Entity ent = track.getSS3Entity(entityId);
//								entities.add(ent);
//							}
//
//							ArrayList<String> glosses = getSentenceGloss(entities);
//
//							String sentenceGloss = glosses.get(0);
//							fldLabel = new Label(3, i + 1, sentenceGloss);
//
//							for (int ii = 1; ii < glosses.size(); ii++) {
//								Label glsLabel = new Label(0, glsOnlyCounter,
//										label);
//								glsOnlySheet.addCell(glsLabel);
//								Label glsLabel1 = new Label(1, glsOnlyCounter,
//										glosses.get(ii));
//								glsOnlySheet.addCell(glsLabel1);
//								glsOnlyCounter++;
//							}
//						}
//
//						if (fldLabel != null) {
//							sheet.addCell(fldLabel);
//						}
//					}
//					
//					if(fldLabel4 == null) {
//						fldLabel4 = new Label(4, i + 1, "0");
//					}
//					if(fldLabel5 == null) {
//						fldLabel5 = new Label(5, i + 1, "0");
//					}
//					if(fldLabel6 == null) {
//						fldLabel6 = new Label(6, i + 1, "0");
//					}
//					if(fldLabel7 == null) {
//						fldLabel7 = new Label(7, i + 1, "0");
//					}
//					if(fldLabel8 == null) {
//						fldLabel8 = new Label(8, i + 1, "0");
//					}
//					
//					sheet.addCell(fldLabel4);
//					sheet.addCell(fldLabel5);
//					sheet.addCell(fldLabel6);
//					sheet.addCell(fldLabel7);
//					sheet.addCell(fldLabel8);
//				}
//
//				workbook.write();
//				workbook.close();
//
//				return db;
//			}
//			return null;
//		} catch (Exception ex) {
//			ex.printStackTrace();
//			return null;
//		}
//	}

	// GD: unused as of 2021-01-26 
	public ArrayList<String> getSentenceGloss(ArrayList<SS3Entity> entities) {
		HashMap<String, String> map = new HashMap<String, String>();
		ArrayList<String> startTimes = new ArrayList<String>();
		StringBuffer bf = new StringBuffer();

		for (SS3Entity entity : entities) {
			String startTime = "" + entity.getStartTime();
			startTimes.add(startTime);
			
			String endCompound = entity.getEndCompoundEntityID();

			ArrayList<SS3Item> items = entity.getItems();
			for (SS3Item item : items) {
				String txt = item.getText();
				
				if(endCompound != null && endCompound.trim().length() > 0) {
					txt = txt + " +";
				}
				
				if (txt != null && txt.trim().length() > 0 && !txt.trim().endsWith("Hold")) {
					map.put(startTime, txt);
				}
			}
		}

		int[] sortedStartTime = Sorter.sortPrimitivInt(startTimes);

		ArrayList<String> glosses = new ArrayList<String>();

		for (int i = 0; i < sortedStartTime.length; i++) {
			String str = "" + sortedStartTime[i];
			String gloss = map.get(str);
			glosses.add(gloss);
			bf.append(gloss);
			bf.append("  ");
		}

		glosses.add(0, bf.toString());

		return glosses;
	}

	public File openZipDatabase() {
		File selectedFile = null;
		FilesLocation location = SS3Singleton.getFilesLocation();

		if ("com.sun.java.swing.plaf.windows.WindowsLookAndFeel"
				.equalsIgnoreCase(UIManager.getSystemLookAndFeelClassName())) {
			JFileChooser fc = new JFileChooser();
			fc.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
			String dbLocation = location.getLastOpenedDatabaseLocation();

			fc.addChoosableFileFilter(new SignStream3FilesFilter());

			File file = new File(dbLocation);
			String absPath = file.getAbsolutePath();

			fc.setSelectedFile(new File(absPath));
			fc.setFileView(new ImageFileView());

			int returnVal = fc.showOpenDialog(null);

			if (returnVal == JFileChooser.APPROVE_OPTION) {
				selectedFile = fc.getSelectedFile();
			}
		}
		// else {
		// FileDialog fd = new FileDialog(null, "Open a Collection",
		// FileDialog.LOAD);
		// String dbLocation = location.getLastOpenedDatabaseLocation();
		// File file = new File(dbLocation);
		// String absPath = file.getAbsolutePath();
		// fd.setFilenameFilter(new ZipFormatFilenameFilter());
		// fd.setDirectory(absPath);
		// fd.setFile(absPath);
		//
		// // fd.setFilenameFilter(arg0);
		//
		// fd.setVisible(true);
		//
		// System.setProperty("apple.awt.fileDialogForDirectories", "false");
		//
		// if (fd.getFile() != null) {
		// String selectedFileName = fd.getDirectory() + File.separator
		// + fd.getFile();
		// selectedFile = new File(selectedFileName);
		// }
		// }
		return selectedFile;
	}

	//
	private File unzipDirectory(File zFile) {

		try {
			String name = zFile.getName();

			if (name.endsWith(".zip")) {
				name = name.substring(0, name.length() - 4);
			}

			FileInputStream fin = new FileInputStream(zFile.getPath());
			// create temporary directory
			File tmpDir = new File("tmp_" + name);
			tmpDir.mkdir();

			// create ZipInputStream from FileInputStream object
			ZipInputStream zin = new ZipInputStream(fin);

			int i = 0;
			// ZipEntry entry = null;
			while ((zin.getNextEntry()) != null) {
				// crate OutputStream to extract the entry from zip file
				String fileName = tmpDir.getName() + File.separator + "file"
						+ i + ".xml";
				OutputStream os = new FileOutputStream(fileName);

				byte[] buffer = new byte[1024];
				int length;

				// read the entry from zip file and extract it to disk
				while ((length = zin.read(buffer)) > 0) {
					os.write(buffer, 0, length);
				}

				// close the streams
				os.close();
				i++;
			}
			// close the zip file
			zin.close();

			return tmpDir;
		} catch (IOException e) {
			System.out.println("IOException :" + e);
			return null;
		}
	}

	//

	private File openDatabase() {

		File selectedFile = null;
		FilesLocation location = SS3Singleton.getFilesLocation();

		if ("com.sun.java.swing.plaf.windows.WindowsLookAndFeel"
				.equalsIgnoreCase(UIManager.getSystemLookAndFeelClassName())) {
			JFileChooser fc = new JFileChooser();
			fc.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY); // .FILES_AND_DIRECTORIES);
			String dbLocation = location.getLastOpenedDatabaseLocation();
			File file = new File(dbLocation);
			String absPath = file.getAbsolutePath();

			fc.setSelectedFile(new File(absPath));
			fc.setFileView(new ImageFileView());

			int returnVal = fc.showOpenDialog(null);

			if (returnVal == JFileChooser.APPROVE_OPTION) {
				selectedFile = fc.getSelectedFile();
			}
		}
		return selectedFile;
	}

	class ImageFileView extends FileView {

		@Override
		public String getName(File f) {
			return null; // let the L&F FileView figure this out
		}

		@Override
		public String getDescription(File f) {
			return null; // let the L&F FileView figure this out
		}

		@Override
		public Boolean isTraversable(File f) {
			return null; // let the L&F FileView figure this out
		}

		@Override
		public String getTypeDescription(File f) {
			String type = null;

			if (f.isDirectory()) {
				FileFilter filter = new SignStreamFileFilter();
				File[] filteredFiles = f.listFiles(filter);
				if (filteredFiles != null && filteredFiles.length > 0) {
					type = "SignStream file";
				}
			}

			return type;
		}

		@Override
		public Icon getIcon(File f) {
			Icon icon = null;

			if (f.isDirectory()) {
				FileFilter filter = new SignStreamFileFilter();
				File[] filteredFiles = f.listFiles(filter);

				if (filteredFiles != null && filteredFiles.length > 0) {
					icon = new ImageIcon(ImageMaker.PALETTE_ICON, "SignStream");
				} // else {
					// icon = new ImageIcon(ImageMaker.OPEN_ICON, "");
					// }
			}

			return icon;
		}
	}

	class SignStreamFileFilter implements FileFilter {
		@Override
		public boolean accept(File file) {
			if (Util.isXML3File(file.getName())) {
				return true;
			}
			return false;
		}
	}

	class SignStream3FilesFilter extends javax.swing.filechooser.FileFilter {

		@Override
		public boolean accept(File f) {
			if (f.isDirectory()) {
				return true;
			} else {
				return f.getName().endsWith(".ss3.zip");
			}
		}

		@Override
		public String getDescription() {
			return "Accepts SignStream3 files only.";
		}

	}
}
