package edu.bu.signstream.grepresentation.fields;

import java.awt.Color;

import edu.bu.signstream.time.Interval;
import edu.bu.signstream.time.Time;

public interface Event {

	public Time getStartTimeInfo();

	public Time getEndTimeInfo();

	public void setStartTimeInfo(Time startTimeInfo);

	public void setEndTimeInfo(Time endTimeInfo);

	public Interval interval();

	public double getStartTimeCoordinate();

	public double getEndTimeCoordinate();

	public void setStartTimeCoordinate(double coord);

	public void setEndTimeCoordinate(double coord);

	public String getToolTipText();

	public boolean select();

	public boolean unselect();

	public void highlight();

	public void unhighlight();

	public boolean isSelected();

	public boolean isHighlighted();

	public void setColor(Color color);

	public Color getColor();
	
	public String getID();
	
	public void setID(String id);
}
