package edu.bu.signstream.grepresentation.fields.apexField.mouseDelegateListeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.fields.apexField.CompoundableApex;
import edu.bu.signstream.grepresentation.fields.glossField.Compoundable;

public class LinkUnlinkApexCompound implements ActionListener {
	
	public void actionPerformed(ActionEvent e) {
		
		LinkUnlinkApexMenuItem linkUnlinkMenuItem = (LinkUnlinkApexMenuItem)e.getSource();
		
		CompoundableApex prevCompound = linkUnlinkMenuItem.getPrevCompound();
		CompoundableApex compound = linkUnlinkMenuItem.getCompound();
		boolean link = linkUnlinkMenuItem.isLink();
		
		if(link) {
			prevCompound.setEndCompound(compound);
			compound.setStartCompound(prevCompound);
		} else {
			prevCompound.setEndCompound(null);
			compound.setStartCompound(null);
		}
		
		SS3Singleton.getSignStreamApplication().repaint();
		SS3Singleton.getApplicationStateController().setLoadedCollectionUpdated(true);
	}
}

