package edu.bu.signstream.grepresentation.fields.customField;

import edu.bu.signstream.common.util.vo.ss3.db.SS3Track;
import edu.bu.signstream.grepresentation.fields.nonManualField.ChainedEventsEntity;
import edu.bu.signstream.grepresentation.fields.nonManualField.NonManualField;
import edu.bu.signstream.grepresentation.fields.presentation.PresentationField;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class CustomSectionField extends NonManualField{

	public CustomSectionField(SS3Track ss3track, SignStreamSegmentPanel segmentPanel, PresentationField parentField) {
		super(ss3track, segmentPanel, parentField);	// this creates the track entity
	}
	

	@Override
	protected void createTrackEntity(SS3Track track) {
		super.createTrackEntity(track);
		
		for (ChainedEventsEntity entity: this.collection.getEntities()) {
			entity = (CustomSectionChainedEventsEntity) entity;
		}
	}

}
