package edu.bu.signstream.grepresentation.fields.gestureField.handshapes;


import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;
import edu.bu.signstream.grepresentation.view.main.Slider;

// add NewGestureHandShapeEntity on mousePressedAlt. create HandShape on MouseReleased. 
// Store NewGestureHandShapeEntity in Entity. Paint it.
public class NewGestureHandShapeEntity {

   private int startTimeCoord;
   private int endTimeCoord;
   private SignStreamSegmentPanel segmentPanel;

   public NewGestureHandShapeEntity(SignStreamSegmentPanel segmentPanel) {
	   this.segmentPanel = segmentPanel;
   }
   
   public int getEndTimeCoord() {
      return endTimeCoord;
   }

   public int getStartTimeCoord() {
      return startTimeCoord;
   }

   public void setEndTimeCoord(int i) {
      endTimeCoord = i;
      Slider slider = segmentPanel.getSlider();
      slider.setSliderPosition(i, true);
   }

   public void setStartTimeCoord(int i) {
      startTimeCoord = i;
   }

   @Override
public String toString() {
      return "NewGestureHandShapeEntity: startTimeCoord = "
         + startTimeCoord
         + ", endTimeCoord = "
         + endTimeCoord;
   }
}
