package edu.bu.signstream.grepresentation.fields.gestureField.mouseDelegateListeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.fields.gestureField.GestureCompoundable;
import edu.bu.signstream.grepresentation.fields.glossField.Compoundable;

public class LinkUnlinkGestureCompound implements ActionListener {
	
	public void actionPerformed(ActionEvent e) {
		
		LinkUnlinkGestureMenuItem linkUnlinkMenuItem = (LinkUnlinkGestureMenuItem)e.getSource();
		
		GestureCompoundable prevCompound = linkUnlinkMenuItem.getPrevCompound();
		GestureCompoundable compound = linkUnlinkMenuItem.getCompound();
		boolean link = linkUnlinkMenuItem.isLink();
		
		if(link) {
			prevCompound.setEndCompound(compound);
			compound.setStartCompound(prevCompound);
		} else {
			prevCompound.setEndCompound(null);
			compound.setStartCompound(null);
		}
		
		SS3Singleton.getSignStreamApplication().repaint();
		SS3Singleton.getApplicationStateController().setLoadedCollectionUpdated(true);
	}
}

