package edu.bu.signstream.grepresentation.fields.gestureField.signTypeField;

import java.util.HashMap;

public class GestureTypeCategoryObject {
	
	private HashMap<String, GestureCategory> gestureCategories = new HashMap<String, GestureCategory>();

	public void addGestureCategory(GestureCategory category) {
		gestureCategories.put(category.getId(), category);
	}
	
	public GestureCategory getGestureCaategoryByID(String gestureCategoryID) {
		return gestureCategories.get(gestureCategoryID);
	}
	
	public HashMap<String, GestureCategory> getGestureCategories() {
		return gestureCategories;
	}
	
	public void setGestureCategories(HashMap<String, GestureCategory> gestureCategories) {
		this.gestureCategories = gestureCategories;
	}

}
