package edu.bu.signstream.grepresentation.fields.handShapeField.dialogs;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;

public class HandShapeTwoHandsDialog
	extends JDialog
	implements ActionListener {

	public HandShapeTwoHandsDialog(
		ArrayList hps,
		HandShapePalletClient hsClient, SS3CodingScheme scheme) {

		super(SS3Singleton.getSignStreamApplication(), "Hand Shapes Pallet");
		super.setLocationRelativeTo(SS3Singleton.getSignStreamApplication());

		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});

		HandShapeTwoHandsPalet pal = new HandShapeTwoHandsPalet(hps, hsClient, scheme);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(50, 50));
		contentPane.add(pal, BorderLayout.CENTER);

		this.pack();
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		String str = ae.getActionCommand();
	}
}
