package edu.bu.signstream.grepresentation.view;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.ViewMode;
import edu.bu.signstream.grepresentation.fields.presentation.PresentationEventsEntity;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;

public class SegmentTemplateState {
    public final ViewMode viewMode;
    public final PresentationEventsEntity selectedUtterance;

    public SegmentTemplateState(SegmentTemplate template) {
        viewMode = template.viewMode();
        selectedUtterance = template.getSegmentControlPanel().getSelectedUtterance();
    }

    public SegmentTemplateState(ViewMode viewMode, PresentationEventsEntity selectedUtterance) {
        this.viewMode = viewMode;
        this.selectedUtterance = selectedUtterance;
    }
}
