package edu.bu.signstream.grepresentation.view;

import java.util.Hashtable;

class TemporalPartition {
	private String temporalPartitionLabel = "";	
	private Hashtable<String, TemporalPartitionSegment> segments = new Hashtable<String, TemporalPartitionSegment>();

	public String getTemporalPartitionLabel() {
		return temporalPartitionLabel;
	}
	
	public void setTemporalPartitionLabel(String temporalPartitionLabel) {
		this.temporalPartitionLabel = temporalPartitionLabel;
	}
	
	public Hashtable<String, TemporalPartitionSegment> getTemporalPartitionSegments() {
		return segments;
	} 
	
	public void setTemporalPartitionSegments(Hashtable<String, TemporalPartitionSegment> segments) {
		this.segments = segments;
	}
	
	public void addTemporalPartitionSegment(TemporalPartitionSegment segment) {
		this.segments.put(segment.getTemporalPartitionSegmentLabel(), segment);
	}
	
	@Override
	public String toString() {
		return temporalPartitionLabel;
	}
} 