package edu.bu.signstream.grepresentation.view.main;

import java.awt.Point;

import edu.bu.signstream.time.Rounding;
import edu.bu.signstream.time.Time;
import edu.bu.signstream.time.TimeUnit;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;

public class Slider {

	private double sliderPosition = 0;

	private boolean selected = false;

	public Slider() {}

	@Deprecated
	public void setSliderPositionCoordNoPanel(double sliderPosition) {
        return;
//	    throw new RuntimeException("STOP IT! Only Time callbacks should update the slider!");
//		this.sliderPosition = sliderPosition;
//
//		MultipleMovieController controller = SS3Singleton.getVideoControlManager().getMultipleMovieController();
//
//		double movieDuration = controller.getMovieDuration();
//		double currentTime = controller.getCurrentTime();
//
//		if(currentTime == movieDuration) {
//			SS3Singleton.getVideoControlManager().moveSliderTo(CoordinateTimeConverter.getNumberOfSliderTicks());
//		} else {
//			double tt = movieDuration / CoordinateTimeConverter.getNumberOfSliderTicks();
//			double sliderNewPosition = currentTime/tt;
//			SS3Singleton.getVideoControlManager().moveSliderTo((int)sliderNewPosition);
//		}
	}

	@Deprecated
	public void setSliderPositionCoord(double sliderPosition) {
        return;
//	    throw new RuntimeException("STOP IT! Only Time callbacks should update the slider!");
//		setSliderPositionCoordNoPanel(sliderPosition);
//		If slider moves, move screen so slider is visible.
//		SignStreamSegmentPanel panel = SS3Singleton.getSignStreamApplication().getSignStreamSegmentPanel();
//		panel.setVisible(sliderPosition, sliderPosition, !panel.isUtteranceLoaded());
	}

	@Deprecated
	public void setSliderPositionTime(double time) {
        return;
//	    throw new RuntimeException("STOP IT! Only Time callbacks should update the slider!");
//		double coord = SS3Singleton.getVideoControlManager().getZoomer().getCoordinateTimeConvertor().convertTimeToCoordinate(time);
//		setSliderPositionCoord(coord);
	}

	public void unselect() {
		selected = false;
	}
	
//	public void setSliderPositionOnly(int sliderCoord) {
//		this.sliderPosition = sliderCoord;
//	}

	// dStartTime - time, not coordinate!!!
    @Deprecated
	public void setSliderPosition(double sliderCoord, boolean resetMovie) {
	    return;
//	    throw new RuntimeException("STOP IT! Only Time callbacks should update the slider!");
//		setSliderPositionCoord(sliderCoord);
	}

	public void setSliderPosition(Time time) {
        sliderPosition = time.absolute().as(TimeUnit.COORDINATE, Rounding.NEAREST);

		SS3Singleton.getSignStreamApplication().getSignStreamSegmentPanel()
			.setVisible(sliderPosition, sliderPosition);
	}

	public boolean isResizable(Point p) {
		int X = (int) p.getX();
		int Y = (int) p.getY();

		if (Y > 0 && Y < 20) {
			return isResizable(X);
		}
		return false;
	}

	public boolean isResizable(int X) {
		if (X < sliderPosition + 3 && X > sliderPosition - 3) {
			selected = true;
		} else {
			selected = false;
		}

		return selected;
	}

	public double getSliderPosition() {
		return sliderPosition;
	} 	
}
