package edu.bu.signstream.grepresentation.view.mediaControl;

import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class MediaToolbarUtilController {

	public static double getUtteranceStartTime(SignStreamSegmentPanel panel, Event event) {
		
		if (event == null) {
			return 0;
		}
		else {
			return event.getStartTimeInfo().doubleValue();
		}
	}
	
	
	public static double getUtteranceEndTime(SignStreamSegmentPanel panel, Event event) {

		if(event == null) {
			return panel.getMultipleMovieController().getMovieDuration();
		} else {
			return event.getEndTimeInfo().doubleValue();
		}
	}	

	public static void setSliderPositionTime(SignStreamSegmentPanel panel, double time) {
		panel.getSlider().setSliderPositionTime(time);
		panel.repaint();
	}
	
//	public static void goToBeginnigUtterance(SignStreamSegmentPanel panel, EventsEntity entity) {
//		
//		if (entity != null) {
//			
//			int startTime = MediaToolbarUtilController.getUtteranceStartTime(panel, entity);
//			
//			panel.getMultipleMovieController().goToPacketTimeStamp(startTime);
//			
//			MediaToolbarUtilController.setSliderPositionTime(panel, startTime);
//			
//			int startCoord = MediaToolbarUtilController.getConvertTimeToCoordinates(startTime);
//
//			panel.setVisible(uStartCoord, endCoord, false);
//		} else {
//			panel.getMultipleMovieController().goToFirstFrame();
//			
//			MediaToolbarUtilController.setSliderPositionTime(panel, 1);
//
//			if (field instanceof PresentationField) {
//				panel.setVisible(1, 1, true);
//			} else {
//				panel.setVisible(1, 1, false);
//			}
//		}
//	}
}
