package edu.bu.signstream.media.fileNavigation;

import edu.bu.signstream.common.util.vo.ss3.media.SS3MediaFile;

public class LoadedMediaFile {
   private SS3MediaFile mediaFile;
   private boolean loaded = false;
   private boolean located = false;
   private boolean display = false;
   private boolean audio = false;

   public boolean isDisplay() {
	   return display;
   }

   public void setAudio() { audio = true; }
   public boolean isAudio() { return audio; }
    public boolean isVideo() { return !audio; }

   public void setDisplay(boolean display) {
	   this.display = display;
   }

   public SS3MediaFile getMediaFile() {
      return mediaFile;
   }

   public boolean isLoaded() {
      return loaded;
   }

   public boolean isLocated() {
      return located;
   }

   public void setLoaded(boolean b) {
      loaded = b;
   }

   public void setLocated(boolean b) {
      located = b;
   }

   public void setMediaFile(SS3MediaFile file) {
      mediaFile = file;
   }


   @Override
public String toString() {
      return mediaFile.getFile().getName();
   }
}
